Bug 820452 - Review Request: mediawiki119 - updated mediawiki for EPEL-6
Review Request: mediawiki119 - updated mediawiki for EPEL-6
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2012-05-09 20:38 EDT by Stephen John Smoogen
Modified: 2014-01-27 08:00 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-08-05 02:40:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑review+
limburgher: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Stephen John Smoogen 2012-05-09 20:38:46 EDT
Spec URL: http://smooge.fedorapeople.org/Downloads/mediawiki119.spec

SRPM URL: http://smooge.fedorapeople.org/Downloads/mediawiki119-1.19.0-2.el6.src.rpm

Description: MediaWiki is the software used for Wikipedia and the other Wikimedia Foundation websites. Compared to other wikis, it has an excellent
range of features and support for high-traffic websites using multiple

This software is for RHEL-6 EPEL branch.
Comment 1 Kevin Fenzi 2012-05-10 12:45:46 EDT
I'll go ahead and review this. 

Look for a full review in the next few days.
Comment 2 Kevin Fenzi 2012-05-10 17:17:51 EDT
OK - Package meets naming and packaging guidelines
OK - Spec file matches base package name. 
OK - Spec has consistant macro usage. 
OK - Meets Packaging Guidelines. 
See below - License
See below - License field in spec matches
See below - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
f33dd8be095d6ed3f33b2e422d7b61b6  mediawiki-1.19.0.tar.gz
f33dd8be095d6ed3f33b2e422d7b61b6  mediawiki-1.19.0.tar.gz.orig

OK - BuildRequires correct
OK - Package has %defattr and permissions on files is good. 
OK - Package has a correct %clean section. 
OK - Package has correct buildroot
OK - Package is code or permissible content. 
OK - Packages %doc files don't affect runtime. 
OK - Package has rm -rf RPM_BUILD_ROOT at top of %install

OK - Package compiles and builds on at least one arch. 
OK - Package has no duplicate files in %files. 
OK - Package doesn't own any directories other packages own. 
OK - Package owns all the directories it creates. 
OK - Package obey's FHS standard (except for 2 exceptions)
See below - No rpmlint output. 
OK - final provides and requires are sane.


OK - Should build in mock. 
OK - Should build on all supported archs
OK - Should function as described. 
OK - Should have sane scriptlets. 
OK - Should have dist tag
OK - Should package latest version
OK - Should not use file requires outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin


1. From the README, it looks like the License here should be: 
GPLv2+ and public domain and CC-BY-SA 
and looking at: 
"MediaWiki use Creative Commons license marks to points to their online
licenses. This content is trademarked and used under a specific license
available at http://creativecommons.org/policies#trademark
The restricted content is:

* skins/common/images/cc-by-nc-sa.png
* skins/common/images/cc-by-sa.png

I think we need to remove those two files since the link says: 
"You are authorized to use our trademarks on the terms and conditions below, 
and only on the further condition that you download the trademarks directly from our website."

Looking at the actual files, I see: 
maintenance/cssjanus/ => ASL 2.0
resources/jquery.effects/ => MIT or GPLv2+
resources/jquery/jquery.appear.js => MIT
resources/jquery.ui/ => MIT or GPLv2+
resources/jquery/ => MIT or GPLv2+
resources/jquery.tipsy => MIT
resources/jquery.ui => MIT or GPLv2+
skins/vector/csshover.htc => LGPLv2+
skins/common/wikibits.js => says: 

"        Written by Jonathan Snook, http://www.snook.ca/jonathan
        Add-ons by Robert Nyman, http://www.robertnyman.com
        Author says "The credit comment is all it takes, no license. Go crazy with it!:-)"
        From http://www.robertnyman.com/2005/11/07/the-ultimate-getelementsbyclassname/

So, provided we can figure out if the wikibits.js is ok, I think it should be: 

GPLv2+ and MIT and public domain and CC-BY-SA and ASL2.0

2. rpmlint says: 

Might rm -f these: 

mediawiki119.noarch: W: hidden-file-or-dir /usr/share/mediawiki119/extensions/Gadgets/.gitreview
mediawiki119.noarch: W: hidden-file-or-dir /usr/share/mediawiki119/extensions/ParserFunctions/.gitreview
mediawiki119.noarch: W: hidden-file-or-dir /usr/share/mediawiki119/extensions/Vector/.gitreview
mediawiki119.noarch: E: version-control-internal-file /usr/share/mediawiki119/extensions/.gitignore
mediawiki119.noarch: W: hidden-file-or-dir /usr/share/mediawiki119/extensions/WikiEditor/.gitreview
mediawiki119.noarch: W: hidden-file-or-dir /usr/share/mediawiki119/extensions/Renameuser/.gitreview
mediawiki119.noarch: E: version-control-internal-file /usr/share/doc/mediawiki119-1.19.0/docs/html/.gitignore
mediawiki119.noarch: W: hidden-file-or-dir /usr/share/mediawiki119/extensions/Nuke/.gitreview
mediawiki119.noarch: W: hidden-file-or-dir /usr/share/mediawiki119/extensions/ConfirmEdit/.gitreview

Might chmod 755 these: 

mediawiki119.noarch: E: non-executable-script /usr/share/mediawiki119/includes/normal/UtfNormalTest2.php 0644L /usr/bin/php
mediawiki119.noarch: E: non-executable-script /usr/share/mediawiki119/extensions/ConfirmEdit/captcha.py 0644L /usr/bin/python

can be ignored: 

mediawiki119.noarch: W: install-file-in-docs /usr/share/doc/mediawiki119-1.19.0/INSTALL

I don't see any further blockers aside from the fixes for rpmlint and the legal question. 
I'll add legal here for comment.
Comment 3 Tom "spot" Callaway 2012-05-15 12:22:28 EDT
I've confirmed with Jonathan Snook and Robert Nyman via email that we have permission to distribute their code (the part of wikibits.js which is problematic) under CC-BY-SA 2.5.

I've reached out to Creative Commons to try to come up with some sort of resolution to that issue, please stay tuned.
Comment 4 Tom "spot" Callaway 2012-05-15 13:24:00 EDT
Diane Peters, General Counsel for Creative Commons has agreed to except the distribution made by Fedora of the unmodified Creative Commons trademarked logo files as distributed in Mediawiki.

This resolves the issue with the trademark terms to my satisfaction, so I'm lifting FE-Legal.
Comment 5 Kevin Fenzi 2012-05-15 13:31:01 EDT
Excellent. Thanks!

So, the only outstanding things I see are the rpmlint fixes, which are pretty minor and updating the License field.

Please do those before checking in, but otherwise this package is APPROVED.
Comment 6 Stephen John Smoogen 2012-05-23 15:38:59 EDT
New Package SCM Request
Package Name: mediawiki119 
Short Description: A wiki engine
Owners: smooge ianweller
Branches: el6 
Comment 7 Gwyn Ciesla 2012-05-24 10:47:56 EDT
Git done (by process-git-requests).
Comment 8 Orion Poplawski 2012-07-16 13:15:26 EDT
Looks like this has been built but no update filed.  What's up?
Comment 9 Fedora Update System 2012-07-16 14:23:00 EDT
mediawiki119-1.19.1-1.el6 has been submitted as an update for Fedora EPEL 6.
Comment 10 Fedora Update System 2012-07-19 18:35:31 EDT
Package mediawiki119-1.19.1-1.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing mediawiki119-1.19.1-1.el6'
as soon as you are able to.
Please go to the following url:
then log in and leave karma (feedback).
Comment 11 Fedora Update System 2012-08-05 02:40:45 EDT
mediawiki119-1.19.1-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Patrick Uiterwijk 2014-01-26 08:06:36 EST
Package Change Request
Package Name: mediawiki119
New Branches: el5
Owners: puiterwijk
Comment 13 Gwyn Ciesla 2014-01-27 08:00:25 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.